Cyberduck Mountain Duck CLI

#10652 closed defect (worksforme)

Interoperability failure

Reported by: mangolife Owned by: Peter Gales
Priority: normal Milestone: 7.0
Component: ftp Version: 6.9.4
Severity: major Keywords:
Cc: Architecture:
Platform: macOS 10.14

Description

I'm writing about ongoing connectivity issues with my Cyberduck for Mac mini running osx 10.14. Everyone I ask keeps telling me to switch to Filezilla but I'd like to at least give you guys to sort me out, and I have contacted my hosting provider multiple times for help.

The original problem was that cyberduck (CD) did not give a reliable connection. It would keep retrying and then connect and when it did connect it would time out. See attached files for screenshots.

But in the past I have successfully downloaded and uploaded files.

But it was always dicey. Will it work today or not? I have contacted my hosting provider inmotion hosting for help and they always end up saying it's nothing they can help me with.

Today I got the "Interoperability failure" message with the following text "500 I won't open a connection to 192.168.1.64 (only to 186.96.209.25). Please contact your web hosting service provider for assistance."

What are those IP numbers and where are they coming from? My hosting provider did not know, and says ask you guys.

As an act of desperation I changed the FTP password and even deleted the bookmark. I created a new one (odd it seems to autopopulate with all of the settings from before) but either that or changing the password now has CD connecting almost immediately when I open cyberduck. Now my problem only seems to be the "Interoperability failure" problem.

Can you help?

Attachments (4)

Change History (11)

Changed on Mar 13, 2019 at 7:01:43 PM by mangolife

comment:1 follow-up: Changed on Mar 13, 2019 at 7:20:08 PM by dkocher

  • Component changed from core to ftp
  • Resolution set to worksforme
  • Status changed from new to closed

Please change the Connect Mode to Passive (PASV).

comment:2 follow-up: Changed on Mar 13, 2019 at 8:26:51 PM by mangolife

  • Resolution worksforme deleted
  • Status changed from closed to reopened

In the past I've tried that as well with no consistent result. Have just changed it to passive and now it won't even connect. It says Connection timed out.

comment:3 in reply to: ↑ 2 Changed on Mar 13, 2019 at 8:30:07 PM by mangolife

Before says timeed out, it says "Says mounting 74.52.50.226" and then it goes to retry, now it's saying opening FTP connection 74.52.50.226 and then it says timed out.Replying to mangolife:

In the past I've tried that as well with no consistent result. Have just changed it to passive and now it won't even connect. It says Connection timed out.

comment:4 Changed on Mar 13, 2019 at 8:31:23 PM by mangolife

With connect mode set to Active. It connects lightning fast, it's just I can't upload or download anything.

comment:5 in reply to: ↑ 1 Changed on Mar 14, 2019 at 4:15:37 PM by mangolife

Thanks so much for your response, but that doesn't help. I've added what happened when i tried but I don't know if you've seen. Do you have any other suggestions? Thanks for your attention. Replying to dkocher:

Please change the Connect Mode to Passive (PASV).

comment:6 Changed on May 22, 2019 at 1:39:58 PM by dkocher

  • Milestone set to 6.9.5
  • Resolution set to worksforme
  • Status changed from reopened to closed

Possibly fixed in r46667. Please update to the latest snapshot build available.

comment:7 Changed on Jun 4, 2019 at 2:20:54 PM by dkocher

  • Milestone changed from 6.9.5 to 7.0

Ticket retargeted after milestone deleted

Note: See TracTickets for help on using tickets.